Subject: Re: linux-next: add utrace tree

From: Linus Torvalds <[email-masked]>
Date: Tue, 26 Jan 2010 15:37:49 -0800 (PST)

On Tue, 26 Jan 2010, Tom Tromey wrote:
> 
> In non-stop mode (where you can stop one thread but leave the others
> running), gdb wants to have the breakpoints always inserted.  So,
> something must emulate the displaced instruction.

I'm almost totally uninterested in breakpoints that actually re-write 
instructions. It's impossible to do that efficiently and well, especially 
in threaded environments.

So if you do instruction rewriting, I can only say "that's your problem".

But using the hardware breakpoints should automatically DTRT, both wrt 
threads _and_ wrt restarting. Sure, there's onyl a limited number of them, 
so if somebody wants more than that they are kind of screwed, but that's 
just how life is.

		Linus